Debian Bug report logs - #574081
RFP: squid-deb-proxy -- Squid proxy configuration optimized for deb packages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: James Andrewartha <trs80@ucc.gu.uwa.edu.au>

Date: Tue, 16 Mar 2010 07:09:02 UTC

Severity: wishlist

Fixed in version squid-deb-proxy/0.7

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#574081; Package wnpp. (Tue, 16 Mar 2010 07:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Andrewartha <trs80@ucc.gu.uwa.edu.au>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 16 Mar 2010 07:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Andrewartha <trs80@ucc.gu.uwa.edu.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: squid-deb-proxy -- Squid proxy configuration optimized for deb packages
Date: Tue, 16 Mar 2010 14:52:47 +0800
Package: wnpp
Severity: wishlist

* Package name    : squid-deb-proxy
  Version         : 0.3
  Upstream Author : Michael Vogt <michael.vogt@ubuntu.com>
* URL             : https://launchpad.net/squid-deb-proxy
* License         : GPLv3
  Programming Lang: Shell
  Description     : Squid proxy configuration optimized for deb packages

This package contains a squid proxy configuration that is optimized for
downloading deb packages. It defaults to a different cache directory and port
than the regular squid cache.

It's already available in Ubuntu (along with squid-deb-proxy-client built from
the same source), so porting it to Debian would just involve updating
mirror-dstdomain.acl.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (800, 'stable'), (500, 'testing'), (99, 'unstable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#574081; Package wnpp. (Wed, 02 Feb 2011 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruce Edge <bruce.edge@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Feb 2011 00:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 574081@bugs.debian.org (full text, mbox):

From: Bruce Edge <bruce.edge@gmail.com>
To: 574081@bugs.debian.org
Subject: Needs upstart dependency fixed too
Date: Tue, 1 Feb 2011 16:39:47 -0800
[Message part 1 (text/plain, inline)]
I agree that this would be an excellent addition to debian as none of the
apt-cacher/-ng/proxy packages really work very well.
I'd like to see this pulled in as well.
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 09 Apr 2013 20:15:12 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Thu, 18 Apr 2013 22:03:08 GMT) Full text and rfc822 format available.

Notification sent to James Andrewartha <trs80@ucc.gu.uwa.edu.au>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 22:03:08 GMT) Full text and rfc822 format available.

Message #17 received at 574081-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 574081-close@bugs.debian.org
Subject: Bug#574081: fixed in squid-deb-proxy 0.7
Date: Thu, 18 Apr 2013 22:00:14 +0000
Source: squid-deb-proxy
Source-Version: 0.7

We believe that the bug you reported is fixed in the latest version of
squid-deb-proxy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated squid-deb-proxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Apr 2013 19:11:43 +0200
Source: squid-deb-proxy
Binary: squid-deb-proxy squid-deb-proxy-client squid-deb-proxy-client-udeb
Architecture: source all
Version: 0.7
Distribution: unstable
Urgency: low
Maintainer: Michael Vogt <mvo@debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 squid-deb-proxy - Squid proxy configuration optimized for deb packages
 squid-deb-proxy-client - Automatic proxy discovery for apt based on avahi
 squid-deb-proxy-client-udeb - Automatic proxy discovery for apt based on avahi (udeb) (udeb)
Closes: 574081
Changes: 
 squid-deb-proxy (0.7) unstable; urgency=low
 .
   * add a debian default config
   * enable sysv init script
   * refactor shell helper code into init-common.sh
   * initial debian upload (closes: #574081)
Checksums-Sha1: 
 7f0b6d455627ba2d85fec0a33a9b22d3f20fe0b5 1097 squid-deb-proxy_0.7.dsc
 71cb6440726ae5213771ca3d5decb3f3bd2e1e6e 15246 squid-deb-proxy_0.7.tar.gz
 5fe5c0556a0a57a32defcb0111503611e58d6ad9 11552 squid-deb-proxy_0.7_all.deb
 51560cee647311eb65dfd01117f0bbc8852a2c81 5686 squid-deb-proxy-client_0.7_all.deb
 4a5d533b1478ca56f8c88f67ea1739afadbcc158 1032 squid-deb-proxy-client-udeb_0.7_all.udeb
Checksums-Sha256: 
 c24c5138dc3ef97fbbbbbda1913ab7303c1b11c073345130760350f2452b262c 1097 squid-deb-proxy_0.7.dsc
 62b2201e2e6ffa9efa9253b5150fa2a5dfe630f7e14a898bfca7e376a768bab4 15246 squid-deb-proxy_0.7.tar.gz
 a6bb3e7a9be1bce89728fb583f3de272011c62d896e33f7ab07abbd9bd2f5884 11552 squid-deb-proxy_0.7_all.deb
 f06b7f0f9dbfe29dc16a7c50acceea238b157881c652402e15b968a4b2bf318b 5686 squid-deb-proxy-client_0.7_all.deb
 07398e0038924dbda2bee69918cbaf72894c9dc61b23d57441edeade969fa64b 1032 squid-deb-proxy-client-udeb_0.7_all.udeb
Files: 
 088e58d62bdf473de51236f61ef33a37 1097 net extra squid-deb-proxy_0.7.dsc
 fa6388e1139230f28b372998a00c46c5 15246 net extra squid-deb-proxy_0.7.tar.gz
 5800b7d5fe36299ad8f7198c450ea390 11552 net extra squid-deb-proxy_0.7_all.deb
 59892a84b51576f6a8a415853a523e0f 5686 net extra squid-deb-proxy-client_0.7_all.deb
 b22604f294bf934ecb2adeb3f0eb8213 1032 debian-installer extra squid-deb-proxy-client-udeb_0.7_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFkThcACgkQliSD4VZixzQZvACeMfCMeImOazr8xfYrxos/HUCx
NFAAoJ0s1wUCMDUaMqOYYOOm6zzBwukX
=gHGO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:36:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:56:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.